from django.conf import settings
from django.shortcuts import redirect as _redirect
from pathlib import Path
base = settings.BASE_URL
if base[0] != "/": base = "/"+base
def get_url(url):
    if url[0] == "/": url = url[1:]
    return str(Path(base, url))[1:]

def redirect(to, *args, permanent=False, **kwargs):
    to = "/"+get_url(to)
    return _redirect(to, *args, permanent=permanent, **kwargs)
